Purchase Order - Bulk Accept
curl --request POST \
--url https://api.skulabs.com/purchase_order/bulk_accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"po_id": "<string>",
"location_id": "<string>",
"quantity": 123,
"item_id": "<string>",
"kit_id": "<string>",
"serial_numbers": [
"<string>"
],
"note": "<string>"
}
]
}
'import requests
url = "https://api.skulabs.com/purchase_order/bulk_accept"
payload = { "items": [
{
"po_id": "<string>",
"location_id": "<string>",
"quantity": 123,
"item_id": "<string>",
"kit_id": "<string>",
"serial_numbers": ["<string>"],
"note": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
po_id: '<string>',
location_id: '<string>',
quantity: 123,
item_id: '<string>',
kit_id: '<string>',
serial_numbers: ['<string>'],
note: '<string>'
}
]
})
};
fetch('https://api.skulabs.com/purchase_order/bulk_accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Purchase Order
Purchase Order - Bulk Accept
Accept items on multiple purchase orders in bulk, updating received quantities.
POST
/
purchase_order
/
bulk_accept
Purchase Order - Bulk Accept
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Array of items to accept into inventory
Show child attributes
Show child attributes
Response
Items accepted into inventory
Whether the operation succeeded
⌘I